@using Jones.AspNetCore.Utils
@using Jones.AspNetCore.TailwindCSS.FlowBite.Types
@inherits JonesComponentBase

<ul @attributes="@AdditionalAttributes" class="@Class" role="group">
    <CascadingValue Name="ThemeColor" Value="ThemeColor" IsFixed>
        @ChildContent
    </CascadingValue>
</ul>

@code {
    private string? Class => CssBuilder.Default($"flex flex-row border border-{ThemeColor.GetDisplayName()}")
        .AddClassFromAttributes(AdditionalAttributes)
        .Build();

    [Parameter]
    public ThemeColor ThemeColor { get; set; } = ThemeColor.Primary;
    
    [Parameter]
    public RenderFragment? ChildContent { get; set; }
}